net.posprinter.utils

## Class PosSetting

- java.lang.Object
- - net.posprinter.utils.PosSetting

-     public class PosSetting
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PosSetting()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `byteMerger(byte[] byte_1, byte[] byte_2)`
    `static byte[]` | `printDensity(int n)`
    `static byte[]` | `sendHex(java.lang.String text)`
    `static byte[]` | `sendSetBt(java.lang.String BtName, java.lang.String Btpsd)`
    `static byte[]` | `sendSetip(java.lang.String text)`
    `static byte[]` | `sendSetNet(java.lang.String text1, java.lang.String text2, java.lang.String text3)`
    `static byte[]` | `sendSetNetall(int pos, java.lang.String text1, java.lang.String text2, java.lang.String text3, java.lang.String text4, java.lang.String text5)`
    `static byte[]` | `sendSetwg(java.lang.String text)`
    `static byte[]` | `sendSetWifi(int pos, java.lang.String text1, java.lang.String text2)`
    `static byte[]` | `sendSetym(java.lang.String text)`
    `static byte[]` | `sendUSBset(int pos)`
    `static byte[]` | `strTobytes(java.lang.String str)`
    `static byte[]` | `strTobytesUTF(java.lang.String str)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PosSetting

          public PosSetting()

  - ### Method Detail

    - #### sendHex

          public static byte[] sendHex(java.lang.String text)

    - #### sendSetip

          public static byte[] sendSetip(java.lang.String text)

    - #### sendSetym

          public static byte[] sendSetym(java.lang.String text)

    - #### sendSetwg

          public static byte[] sendSetwg(java.lang.String text)

    - #### sendSetNet

          public static byte[] sendSetNet(java.lang.String text1,
                                          java.lang.String text2,
                                          java.lang.String text3)

    - #### sendSetNetall

          public static byte[] sendSetNetall(int pos,
                                             java.lang.String text1,
                                             java.lang.String text2,
                                             java.lang.String text3,
                                             java.lang.String text4,
                                             java.lang.String text5)

    - #### sendSetWifi

          public static byte[] sendSetWifi(int pos,
                                           java.lang.String text1,
                                           java.lang.String text2)

    - #### sendUSBset

          public static byte[] sendUSBset(int pos)

    - #### sendSetBt

          public static byte[] sendSetBt(java.lang.String BtName,
                                         java.lang.String Btpsd)

    - #### printDensity

          public static byte[] printDensity(int n)

    - #### strTobytes

          public static byte[] strTobytes(java.lang.String str)

    - #### strTobytesUTF

          public static byte[] strTobytesUTF(java.lang.String str)

    - #### byteMerger

          public static byte[] byteMerger(byte[] byte_1,
                                          byte[] byte_2)